using SQLite;
using System.Text.Json.Serialization;

namespace Blahblah.FlowerApp.Data.Model;

[Table("photos")]
public class PhotoItem
{
    [Column("pid"), PrimaryKey, NotNull]
    public int Id { get; set; }

    [Column("uid"), NotNull]
    public int OwnerId { get; set; }

    [Column("fid"), NotNull]
    public int FlowerId { get; set; }

    [Column("rid")]
    public int? RecordId { get; set; }

    [Column("filetype"), NotNull]
    public string FileType { get; set; } = null!;

    [Column("filename"), NotNull]
    public string FileName { get; set; } = null!;

    [Column("path"), NotNull]
    public string Path { get; set; } = null!;

    [Column("dateupload"), JsonPropertyName("dateUpload"), NotNull]
    public long DateUploadUnixTime { get; set; }

    [Column("url")]
    public string Url { get; set; } = null!;

    [Column("width")]
    public int? Width { get; set; }

    [Column("height")]
    public int? Height { get; set; }
}
